"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styles = require("./styles");

var _core = require("@emotion/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Input = ({
  label,
  value,
  onChange
}) => {
  return (0, _core.jsx)("div", {
    css: _styles.containerStyle
  }, (0, _core.jsx)("label", {
    css: _styles.labelStyle
  }, label), (0, _core.jsx)("input", {
    css: _styles.inputStyle,
    type: "text",
    value: value || '',
    onChange: onChange
  }));
};

var _default = Input;
exports.default = _default;